diff -urN 13-STYMulator-0.21a-fail_on_bogus_data/autom4te.cache/traces.0 14-STYMulator-0.21a_configure+oss_support/autom4te.cache/traces.0
--- 13-STYMulator-0.21a-fail_on_bogus_data/autom4te.cache/traces.0	1970-01-01 01:00:00.000000000 +0100
+++ 14-STYMulator-0.21a_configure+oss_support/autom4te.cache/traces.0	2010-04-25 12:49:44.470588547 +0200
@@ -0,0 +1,361 @@
+m4trace:configure.ac:1: -1- AC_INIT([stymulator], [0.22], [stian@nixia.no])
+m4trace:configure.ac:1: -1- m4_pattern_forbid([^_?A[CHUM]_])
+m4trace:configure.ac:1: -1- m4_pattern_forbid([_AC_])
+m4trace:configure.ac:1: -1- m4_pattern_forbid([^LIBOBJS$], [do not use LIBOBJS directly, use AC_LIBOBJ (see section `AC_LIBOBJ vs LIBOBJS'])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^AS_FLAGS$])
+m4trace:configure.ac:1: -1- m4_pattern_forbid([^_?m4_])
+m4trace:configure.ac:1: -1- m4_pattern_forbid([^dnl$])
+m4trace:configure.ac:1: -1- m4_pattern_forbid([^_?AS_])
+m4trace:configure.ac:1: -1- AC_SUBST([SHELL])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([SHELL])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^SHELL$])
+m4trace:configure.ac:1: -1- AC_SUBST([PATH_SEPARATOR])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([PATH_SEPARATOR])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PATH_SEPARATOR$])
+m4trace:configure.ac:1: -1- AC_SUBST([PACKAGE_NAME], [m4_ifdef([AC_PACKAGE_NAME],      ['AC_PACKAGE_NAME'])])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([PACKAGE_NAME])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_NAME$])
+m4trace:configure.ac:1: -1- AC_SUBST([PACKAGE_TARNAME], [m4_ifdef([AC_PACKAGE_TARNAME],   ['AC_PACKAGE_TARNAME'])])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([PACKAGE_TARNAME])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_TARNAME$])
+m4trace:configure.ac:1: -1- AC_SUBST([PACKAGE_VERSION], [m4_ifdef([AC_PACKAGE_VERSION],   ['AC_PACKAGE_VERSION'])])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([PACKAGE_VERSION])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_VERSION$])
+m4trace:configure.ac:1: -1- AC_SUBST([PACKAGE_STRING], [m4_ifdef([AC_PACKAGE_STRING],    ['AC_PACKAGE_STRING'])])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([PACKAGE_STRING])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_STRING$])
+m4trace:configure.ac:1: -1- AC_SUBST([PACKAGE_BUGREPORT], [m4_ifdef([AC_PACKAGE_BUGREPORT], ['AC_PACKAGE_BUGREPORT'])])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([PACKAGE_BUGREPORT])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_BUGREPORT$])
+m4trace:configure.ac:1: -1- AC_SUBST([PACKAGE_URL], [m4_ifdef([AC_PACKAGE_URL],       ['AC_PACKAGE_URL'])])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([PACKAGE_URL])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_URL$])
+m4trace:configure.ac:1: -1- AC_SUBST([exec_prefix], [NONE])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([exec_prefix])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^exec_prefix$])
+m4trace:configure.ac:1: -1- AC_SUBST([prefix], [NONE])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([prefix])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^prefix$])
+m4trace:configure.ac:1: -1- AC_SUBST([program_transform_name], [s,x,x,])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([program_transform_name])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^program_transform_name$])
+m4trace:configure.ac:1: -1- AC_SUBST([bindir], ['${exec_prefix}/bin'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([bindir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^bindir$])
+m4trace:configure.ac:1: -1- AC_SUBST([sbindir], ['${exec_prefix}/sbin'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([sbindir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^sbindir$])
+m4trace:configure.ac:1: -1- AC_SUBST([libexecdir], ['${exec_prefix}/libexec'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([libexecdir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^libexecdir$])
+m4trace:configure.ac:1: -1- AC_SUBST([datarootdir], ['${prefix}/share'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([datarootdir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^datarootdir$])
+m4trace:configure.ac:1: -1- AC_SUBST([datadir], ['${datarootdir}'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([datadir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^datadir$])
+m4trace:configure.ac:1: -1- AC_SUBST([sysconfdir], ['${prefix}/etc'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([sysconfdir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^sysconfdir$])
+m4trace:configure.ac:1: -1- AC_SUBST([sharedstatedir], ['${prefix}/com'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([sharedstatedir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^sharedstatedir$])
+m4trace:configure.ac:1: -1- AC_SUBST([localstatedir], ['${prefix}/var'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([localstatedir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^localstatedir$])
+m4trace:configure.ac:1: -1- AC_SUBST([includedir], ['${prefix}/include'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([includedir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^includedir$])
+m4trace:configure.ac:1: -1- AC_SUBST([oldincludedir], ['/usr/include'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([oldincludedir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^oldincludedir$])
+m4trace:configure.ac:1: -1- AC_SUBST([docdir], [m4_ifset([AC_PACKAGE_TARNAME],
+				     ['${datarootdir}/doc/${PACKAGE_TARNAME}'],
+				     ['${datarootdir}/doc/${PACKAGE}'])])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([docdir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^docdir$])
+m4trace:configure.ac:1: -1- AC_SUBST([infodir], ['${datarootdir}/info'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([infodir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^infodir$])
+m4trace:configure.ac:1: -1- AC_SUBST([htmldir], ['${docdir}'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([htmldir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^htmldir$])
+m4trace:configure.ac:1: -1- AC_SUBST([dvidir], ['${docdir}'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([dvidir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^dvidir$])
+m4trace:configure.ac:1: -1- AC_SUBST([pdfdir], ['${docdir}'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([pdfdir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^pdfdir$])
+m4trace:configure.ac:1: -1- AC_SUBST([psdir], ['${docdir}'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([psdir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^psdir$])
+m4trace:configure.ac:1: -1- AC_SUBST([libdir], ['${exec_prefix}/lib'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([libdir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^libdir$])
+m4trace:configure.ac:1: -1- AC_SUBST([localedir], ['${datarootdir}/locale'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([localedir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^localedir$])
+m4trace:configure.ac:1: -1- AC_SUBST([mandir], ['${datarootdir}/man'])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([mandir])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^mandir$])
+m4trace:configure.ac:1: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_NAME])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_NAME$])
+m4trace:configure.ac:1: -1- AH_OUTPUT([PACKAGE_NAME], [/* Define to the full name of this package. */
+@%:@undef PACKAGE_NAME])
+m4trace:configure.ac:1: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_TARNAME])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_TARNAME$])
+m4trace:configure.ac:1: -1- AH_OUTPUT([PACKAGE_TARNAME], [/* Define to the one symbol short name of this package. */
+@%:@undef PACKAGE_TARNAME])
+m4trace:configure.ac:1: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_VERSION])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_VERSION$])
+m4trace:configure.ac:1: -1- AH_OUTPUT([PACKAGE_VERSION], [/* Define to the version of this package. */
+@%:@undef PACKAGE_VERSION])
+m4trace:configure.ac:1: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_STRING])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_STRING$])
+m4trace:configure.ac:1: -1- AH_OUTPUT([PACKAGE_STRING], [/* Define to the full name and version of this package. */
+@%:@undef PACKAGE_STRING])
+m4trace:configure.ac:1: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_BUGREPORT])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_BUGREPORT$])
+m4trace:configure.ac:1: -1- AH_OUTPUT([PACKAGE_BUGREPORT], [/* Define to the address where bug reports for this package should be sent. */
+@%:@undef PACKAGE_BUGREPORT])
+m4trace:configure.ac:1: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_URL])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^PACKAGE_URL$])
+m4trace:configure.ac:1: -1- AH_OUTPUT([PACKAGE_URL], [/* Define to the home page for this package. */
+@%:@undef PACKAGE_URL])
+m4trace:configure.ac:1: -1- AC_SUBST([DEFS])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([DEFS])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^DEFS$])
+m4trace:configure.ac:1: -1- AC_SUBST([ECHO_C])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([ECHO_C])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^ECHO_C$])
+m4trace:configure.ac:1: -1- AC_SUBST([ECHO_N])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([ECHO_N])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^ECHO_N$])
+m4trace:configure.ac:1: -1- AC_SUBST([ECHO_T])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([ECHO_T])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^ECHO_T$])
+m4trace:configure.ac:1: -1- AC_SUBST([LIBS])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([LIBS])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^LIBS$])
+m4trace:configure.ac:1: -1- AC_SUBST([build_alias])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([build_alias])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^build_alias$])
+m4trace:configure.ac:1: -1- AC_SUBST([host_alias])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([host_alias])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^host_alias$])
+m4trace:configure.ac:1: -1- AC_SUBST([target_alias])
+m4trace:configure.ac:1: -1- AC_SUBST_TRACE([target_alias])
+m4trace:configure.ac:1: -1- m4_pattern_allow([^target_alias$])
+m4trace:configure.ac:3: -1- AC_CANONICAL_HOST
+m4trace:configure.ac:3: -1- AC_CANONICAL_BUILD
+m4trace:configure.ac:3: -1- AC_REQUIRE_AUX_FILE([config.sub])
+m4trace:configure.ac:3: -1- AC_REQUIRE_AUX_FILE([config.guess])
+m4trace:configure.ac:3: -1- AC_SUBST([build], [$ac_cv_build])
+m4trace:configure.ac:3: -1- AC_SUBST_TRACE([build])
+m4trace:configure.ac:3: -1- m4_pattern_allow([^build$])
+m4trace:configure.ac:3: -1- AC_SUBST([build_cpu], [$[1]])
+m4trace:configure.ac:3: -1- AC_SUBST_TRACE([build_cpu])
+m4trace:configure.ac:3: -1- m4_pattern_allow([^build_cpu$])
+m4trace:configure.ac:3: -1- AC_SUBST([build_vendor], [$[2]])
+m4trace:configure.ac:3: -1- AC_SUBST_TRACE([build_vendor])
+m4trace:configure.ac:3: -1- m4_pattern_allow([^build_vendor$])
+m4trace:configure.ac:3: -1- AC_SUBST([build_os])
+m4trace:configure.ac:3: -1- AC_SUBST_TRACE([build_os])
+m4trace:configure.ac:3: -1- m4_pattern_allow([^build_os$])
+m4trace:configure.ac:3: -1- AC_SUBST([host], [$ac_cv_host])
+m4trace:configure.ac:3: -1- AC_SUBST_TRACE([host])
+m4trace:configure.ac:3: -1- m4_pattern_allow([^host$])
+m4trace:configure.ac:3: -1- AC_SUBST([host_cpu], [$[1]])
+m4trace:configure.ac:3: -1- AC_SUBST_TRACE([host_cpu])
+m4trace:configure.ac:3: -1- m4_pattern_allow([^host_cpu$])
+m4trace:configure.ac:3: -1- AC_SUBST([host_vendor], [$[2]])
+m4trace:configure.ac:3: -1- AC_SUBST_TRACE([host_vendor])
+m4trace:configure.ac:3: -1- m4_pattern_allow([^host_vendor$])
+m4trace:configure.ac:3: -1- AC_SUBST([host_os])
+m4trace:configure.ac:3: -1- AC_SUBST_TRACE([host_os])
+m4trace:configure.ac:3: -1- m4_pattern_allow([^host_os$])
+m4trace:configure.ac:4: -1- AC_SUBST([CC])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([CC])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^CC$])
+m4trace:configure.ac:4: -1- AC_SUBST([CFLAGS])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([CFLAGS])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^CFLAGS$])
+m4trace:configure.ac:4: -1- AC_SUBST([LDFLAGS])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([LDFLAGS])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^LDFLAGS$])
+m4trace:configure.ac:4: -1- AC_SUBST([LIBS])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([LIBS])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^LIBS$])
+m4trace:configure.ac:4: -1- AC_SUBST([CPPFLAGS])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([CPPFLAGS])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^CPPFLAGS$])
+m4trace:configure.ac:4: -1- AC_SUBST([CC])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([CC])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^CC$])
+m4trace:configure.ac:4: -1- AC_SUBST([CC])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([CC])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^CC$])
+m4trace:configure.ac:4: -1- AC_SUBST([CC])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([CC])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^CC$])
+m4trace:configure.ac:4: -1- AC_SUBST([CC])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([CC])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^CC$])
+m4trace:configure.ac:4: -1- AC_SUBST([ac_ct_CC])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([ac_ct_CC])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^ac_ct_CC$])
+m4trace:configure.ac:4: -1- AC_SUBST([EXEEXT], [$ac_cv_exeext])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([EXEEXT])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^EXEEXT$])
+m4trace:configure.ac:4: -1- AC_SUBST([OBJEXT], [$ac_cv_objext])
+m4trace:configure.ac:4: -1- AC_SUBST_TRACE([OBJEXT])
+m4trace:configure.ac:4: -1- m4_pattern_allow([^OBJEXT$])
+m4trace:configure.ac:5: -1- AC_SUBST([CXX])
+m4trace:configure.ac:5: -1- AC_SUBST_TRACE([CXX])
+m4trace:configure.ac:5: -1- m4_pattern_allow([^CXX$])
+m4trace:configure.ac:5: -1- AC_SUBST([CXXFLAGS])
+m4trace:configure.ac:5: -1- AC_SUBST_TRACE([CXXFLAGS])
+m4trace:configure.ac:5: -1- m4_pattern_allow([^CXXFLAGS$])
+m4trace:configure.ac:5: -1- AC_SUBST([LDFLAGS])
+m4trace:configure.ac:5: -1- AC_SUBST_TRACE([LDFLAGS])
+m4trace:configure.ac:5: -1- m4_pattern_allow([^LDFLAGS$])
+m4trace:configure.ac:5: -1- AC_SUBST([LIBS])
+m4trace:configure.ac:5: -1- AC_SUBST_TRACE([LIBS])
+m4trace:configure.ac:5: -1- m4_pattern_allow([^LIBS$])
+m4trace:configure.ac:5: -1- AC_SUBST([CPPFLAGS])
+m4trace:configure.ac:5: -1- AC_SUBST_TRACE([CPPFLAGS])
+m4trace:configure.ac:5: -1- m4_pattern_allow([^CPPFLAGS$])
+m4trace:configure.ac:5: -1- AC_SUBST([CXX])
+m4trace:configure.ac:5: -1- AC_SUBST_TRACE([CXX])
+m4trace:configure.ac:5: -1- m4_pattern_allow([^CXX$])
+m4trace:configure.ac:5: -1- AC_SUBST([ac_ct_CXX])
+m4trace:configure.ac:5: -1- AC_SUBST_TRACE([ac_ct_CXX])
+m4trace:configure.ac:5: -1- m4_pattern_allow([^ac_ct_CXX$])
+m4trace:configure.ac:6: -1- AC_SUBST([CPP])
+m4trace:configure.ac:6: -1- AC_SUBST_TRACE([CPP])
+m4trace:configure.ac:6: -1- m4_pattern_allow([^CPP$])
+m4trace:configure.ac:6: -1- AC_SUBST([CPPFLAGS])
+m4trace:configure.ac:6: -1- AC_SUBST_TRACE([CPPFLAGS])
+m4trace:configure.ac:6: -1- m4_pattern_allow([^CPPFLAGS$])
+m4trace:configure.ac:6: -1- AC_SUBST([CPP])
+m4trace:configure.ac:6: -1- AC_SUBST_TRACE([CPP])
+m4trace:configure.ac:6: -1- m4_pattern_allow([^CPP$])
+m4trace:configure.ac:7: -1- AC_SUBST([CXXCPP])
+m4trace:configure.ac:7: -1- AC_SUBST_TRACE([CXXCPP])
+m4trace:configure.ac:7: -1- m4_pattern_allow([^CXXCPP$])
+m4trace:configure.ac:7: -1- AC_SUBST([CPPFLAGS])
+m4trace:configure.ac:7: -1- AC_SUBST_TRACE([CPPFLAGS])
+m4trace:configure.ac:7: -1- m4_pattern_allow([^CPPFLAGS$])
+m4trace:configure.ac:7: -1- AC_SUBST([CXXCPP])
+m4trace:configure.ac:7: -1- AC_SUBST_TRACE([CXXCPP])
+m4trace:configure.ac:7: -1- m4_pattern_allow([^CXXCPP$])
+m4trace:configure.ac:8: -1- AC_SUBST([SET_MAKE])
+m4trace:configure.ac:8: -1- AC_SUBST_TRACE([SET_MAKE])
+m4trace:configure.ac:8: -1- m4_pattern_allow([^SET_MAKE$])
+m4trace:configure.ac:9: -1- AC_REQUIRE_AUX_FILE([install-sh])
+m4trace:configure.ac:9: -1- AC_SUBST([INSTALL_PROGRAM])
+m4trace:configure.ac:9: -1- AC_SUBST_TRACE([INSTALL_PROGRAM])
+m4trace:configure.ac:9: -1- m4_pattern_allow([^INSTALL_PROGRAM$])
+m4trace:configure.ac:9: -1- AC_SUBST([INSTALL_SCRIPT])
+m4trace:configure.ac:9: -1- AC_SUBST_TRACE([INSTALL_SCRIPT])
+m4trace:configure.ac:9: -1- m4_pattern_allow([^INSTALL_SCRIPT$])
+m4trace:configure.ac:9: -1- AC_SUBST([INSTALL_DATA])
+m4trace:configure.ac:9: -1- AC_SUBST_TRACE([INSTALL_DATA])
+m4trace:configure.ac:9: -1- m4_pattern_allow([^INSTALL_DATA$])
+m4trace:configure.ac:15: -1- AC_CONFIG_HEADERS([config.h])
+m4trace:configure.ac:17: -1- AC_SUBST([HAVE_STDINT_H])
+m4trace:configure.ac:17: -1- AC_SUBST_TRACE([HAVE_STDINT_H])
+m4trace:configure.ac:17: -1- m4_pattern_allow([^HAVE_STDINT_H$])
+m4trace:configure.ac:20: -2- AC_DEFINE_TRACE_LITERAL([HAVE_STDINT_H])
+m4trace:configure.ac:20: -2- m4_pattern_allow([^HAVE_STDINT_H$])
+m4trace:configure.ac:18: -1- AC_SUBST([GREP])
+m4trace:configure.ac:18: -1- AC_SUBST_TRACE([GREP])
+m4trace:configure.ac:18: -1- m4_pattern_allow([^GREP$])
+m4trace:configure.ac:18: -1- AC_SUBST([EGREP])
+m4trace:configure.ac:18: -1- AC_SUBST_TRACE([EGREP])
+m4trace:configure.ac:18: -1- m4_pattern_allow([^EGREP$])
+m4trace:configure.ac:18: -1- AC_DEFINE_TRACE_LITERAL([STDC_HEADERS])
+m4trace:configure.ac:18: -1- m4_pattern_allow([^STDC_HEADERS$])
+m4trace:configure.ac:18: -1- AH_OUTPUT([STDC_HEADERS], [/* Define to 1 if you have the ANSI C header files. */
+@%:@undef STDC_HEADERS])
+m4trace:configure.ac:18: -1- AH_OUTPUT([HAVE_SYS_TYPES_H], [/* Define to 1 if you have the <sys/types.h> header file. */
+@%:@undef HAVE_SYS_TYPES_H])
+m4trace:configure.ac:18: -1- AH_OUTPUT([HAVE_SYS_STAT_H], [/* Define to 1 if you have the <sys/stat.h> header file. */
+@%:@undef HAVE_SYS_STAT_H])
+m4trace:configure.ac:18: -1- AH_OUTPUT([HAVE_STDLIB_H], [/* Define to 1 if you have the <stdlib.h> header file. */
+@%:@undef HAVE_STDLIB_H])
+m4trace:configure.ac:18: -1- AH_OUTPUT([HAVE_STRING_H], [/* Define to 1 if you have the <string.h> header file. */
+@%:@undef HAVE_STRING_H])
+m4trace:configure.ac:18: -1- AH_OUTPUT([HAVE_MEMORY_H], [/* Define to 1 if you have the <memory.h> header file. */
+@%:@undef HAVE_MEMORY_H])
+m4trace:configure.ac:18: -1- AH_OUTPUT([HAVE_STRINGS_H], [/* Define to 1 if you have the <strings.h> header file. */
+@%:@undef HAVE_STRINGS_H])
+m4trace:configure.ac:18: -1- AH_OUTPUT([HAVE_INTTYPES_H], [/* Define to 1 if you have the <inttypes.h> header file. */
+@%:@undef HAVE_INTTYPES_H])
+m4trace:configure.ac:18: -1- AH_OUTPUT([HAVE_STDINT_H], [/* Define to 1 if you have the <stdint.h> header file. */
+@%:@undef HAVE_STDINT_H])
+m4trace:configure.ac:18: -1- AH_OUTPUT([HAVE_UNISTD_H], [/* Define to 1 if you have the <unistd.h> header file. */
+@%:@undef HAVE_UNISTD_H])
+m4trace:configure.ac:22: -1- AC_SUBST([HAVE_INTTYPES_H])
+m4trace:configure.ac:22: -1- AC_SUBST_TRACE([HAVE_INTTYPES_H])
+m4trace:configure.ac:22: -1- m4_pattern_allow([^HAVE_INTTYPES_H$])
+m4trace:configure.ac:25: -2- AC_DEFINE_TRACE_LITERAL([HAVE_INTTYPES_H])
+m4trace:configure.ac:25: -2- m4_pattern_allow([^HAVE_INTTYPES_H$])
+m4trace:configure.ac:28: -1- AH_OUTPUT([HAVE_LIBNCURSES], [/* Define to 1 if you have the `ncurses\' library (-lncurses). */
+@%:@undef HAVE_LIBNCURSES])
+m4trace:configure.ac:28: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBNCURSES])
+m4trace:configure.ac:28: -1- m4_pattern_allow([^HAVE_LIBNCURSES$])
+m4trace:configure.ac:29: -2- AC_DEFINE_TRACE_LITERAL([HAVE_RESIZETERM])
+m4trace:configure.ac:29: -2- m4_pattern_allow([^HAVE_RESIZETERM$])
+m4trace:configure.ac:33: -1- AC_SUBST([HAVE_ALSA])
+m4trace:configure.ac:33: -1- AC_SUBST_TRACE([HAVE_ALSA])
+m4trace:configure.ac:33: -1- m4_pattern_allow([^HAVE_ALSA$])
+m4trace:configure.ac:34: -1- AC_SUBST([ALSA_CFLAGS])
+m4trace:configure.ac:34: -1- AC_SUBST_TRACE([ALSA_CFLAGS])
+m4trace:configure.ac:34: -1- m4_pattern_allow([^ALSA_CFLAGS$])
+m4trace:configure.ac:35: -1- AC_SUBST([ALSA_LIBS])
+m4trace:configure.ac:35: -1- AC_SUBST_TRACE([ALSA_LIBS])
+m4trace:configure.ac:35: -1- m4_pattern_allow([^ALSA_LIBS$])
+m4trace:configure.ac:57: -1- AC_SUBST([HAVE_OSS])
+m4trace:configure.ac:57: -1- AC_SUBST_TRACE([HAVE_OSS])
+m4trace:configure.ac:57: -1- m4_pattern_allow([^HAVE_OSS$])
+m4trace:configure.ac:58: -1- AC_SUBST([OSS_LIBS])
+m4trace:configure.ac:58: -1- AC_SUBST_TRACE([OSS_LIBS])
+m4trace:configure.ac:58: -1- m4_pattern_allow([^OSS_LIBS$])
+m4trace:configure.ac:59: -1- AC_SUBST([OSS_CFLAGS])
+m4trace:configure.ac:59: -1- AC_SUBST_TRACE([OSS_CFLAGS])
+m4trace:configure.ac:59: -1- m4_pattern_allow([^OSS_CFLAGS$])
+m4trace:configure.ac:72: -2- AC_DEFINE_TRACE_LITERAL([HAVE_SYS_SOUNDCARD_H])
+m4trace:configure.ac:72: -2- m4_pattern_allow([^HAVE_SYS_SOUNDCARD_H$])
+m4trace:configure.ac:77: -1- AC_SUBST([HAVE_LZH])
+m4trace:configure.ac:77: -1- AC_SUBST_TRACE([HAVE_LZH])
+m4trace:configure.ac:77: -1- m4_pattern_allow([^HAVE_LZH$])
+m4trace:configure.ac:81: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LZH])
+m4trace:configure.ac:81: -1- m4_pattern_allow([^HAVE_LZH$])
+m4trace:configure.ac:105: -1- _m4_warn([obsolete], [The macro `AC_ERROR' is obsolete.
+You should run autoupdate.], [../../lib/autoconf/oldnames.m4:55: AC_ERROR is expanded from...
+configure.ac:105: the top level])
+m4trace:configure.ac:110: -1- _m4_warn([obsolete], [The macro `AC_WARN' is obsolete.
+You should run autoupdate.], [../../lib/autoconf/oldnames.m4:54: AC_WARN is expanded from...
+configure.ac:110: the top level])
+m4trace:configure.ac:117: -1- AC_DEFINE_TRACE_LITERAL([HAVE_OSS])
+m4trace:configure.ac:117: -1- m4_pattern_allow([^HAVE_OSS$])
+m4trace:configure.ac:120: -1- AC_DEFINE_TRACE_LITERAL([HAVE_ALSA])
+m4trace:configure.ac:120: -1- m4_pattern_allow([^HAVE_ALSA$])
+m4trace:configure.ac:124: -1- AC_CONFIG_FILES([Rules.make])
+m4trace:configure.ac:125: -1- AC_SUBST([LIB@&t@OBJS], [$ac_libobjs])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([LIB@&t@OBJS])
+m4trace:configure.ac:125: -1- m4_pattern_allow([^LIB@&t@OBJS$])
+m4trace:configure.ac:125: -1- AC_SUBST([LTLIBOBJS], [$ac_ltlibobjs])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([LTLIBOBJS])
+m4trace:configure.ac:125: -1- m4_pattern_allow([^LTLIBOBJS$])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([top_builddir])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([top_build_prefix])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([srcdir])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([abs_srcdir])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([top_srcdir])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([abs_top_srcdir])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([builddir])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([abs_builddir])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([abs_top_builddir])
+m4trace:configure.ac:125: -1- AC_SUBST_TRACE([INSTALL])
diff -urN 13-STYMulator-0.21a-fail_on_bogus_data/config.h.in 14-STYMulator-0.21a_configure+oss_support/config.h.in
--- 13-STYMulator-0.21a-fail_on_bogus_data/config.h.in	1970-01-01 01:00:00.000000000 +0100
+++ 14-STYMulator-0.21a_configure+oss_support/config.h.in	2010-04-24 02:21:22.145580746 +0200
@@ -0,0 +1,13 @@
+#undef HAVE_RESIZETERM
+
+#undef HAVE_STDINT_H
+
+#undef HAVE_INTTYPES_H
+
+#undef HAVE_SYS_SOUNDCARD_H
+
+#undef HAVE_LZH
+
+#undef HAVE_OSS
+
+#undef HAVE_ALSA
diff -urN 13-STYMulator-0.21a-fail_on_bogus_data/configure.ac 14-STYMulator-0.21a_configure+oss_support/configure.ac
--- 13-STYMulator-0.21a-fail_on_bogus_data/configure.ac	1970-01-01 01:00:00.000000000 +0100
+++ 14-STYMulator-0.21a_configure+oss_support/configure.ac	2010-04-25 12:49:33.613642559 +0200
@@ -0,0 +1,126 @@
+AC_INIT(stymulator, 0.22, stian@nixia.no)
+
+AC_CANONICAL_HOST
+AC_PROG_CC
+AC_PROG_CXX
+AC_PROG_CPP
+AC_PROG_CXXCPP
+AC_PROG_MAKE_SET
+AC_PROG_INSTALL
+
+AC_ARG_WITH(alsa, [  --with-alsa             force/disable alsa support],, with_alsa=auto)
+AC_ARG_WITH(oss,  [  --with-oss              force/disable oss support],, with_oss=auto)
+AC_ARG_WITH(lzh, [  --without-lzh              disable LZH support],, with_lzh=yes)
+
+AC_CONFIG_HEADERS(config.h)
+
+AC_SUBST(HAVE_STDINT_H)
+AC_CHECK_HEADER(stdint.h,
+                HAVE_STDINT_H=1
+                AC_DEFINE(HAVE_STDINT_H, 1),
+               )
+AC_SUBST(HAVE_INTTYPES_H)
+AC_CHECK_HEADER(inttypes.h,
+                HAVE_INTTYPES_H=1
+                AC_DEFINE(HAVE_INTTYPES_H, 1),
+               )
+
+AC_CHECK_LIB(ncurses, initscr, , AC_MSG_ERROR("ncurses not found"))
+AC_CHECK_LIB(ncurses, resize_term, AC_DEFINE(HAVE_RESIZETERM))
+AC_CHECK_HEADER(curses.h, , AC_MSG_ERROR("curses header files was not found"))
+
+
+AC_SUBST(HAVE_ALSA)
+AC_SUBST(ALSA_CFLAGS)
+AC_SUBST(ALSA_LIBS)
+if test "x$with_alsa" != "xno"; then
+	AC_MSG_CHECKING([Alsa support])
+	ALSA_LIBS=`pkg-config --libs alsa 2> /dev/null`
+	ALSA_CFLAGS=`pkg-config --cflags alsa 2> /dev/null`
+	if test "$?" = 0; then
+		AC_MSG_RESULT("$ALSA_CFLAGS $ALSA_LIBS")
+	else
+		if test "x$with_alsa" = "xyes"; then
+			AC_MSG_ERROR([pkg-config failed]);
+		else
+			AC_MSG_RESULT([pkg-config failed]);
+			with_alsa="no"
+		fi
+	fi
+fi
+if test "x$with_alsa" = "xno"; then
+	HAVE_ALSA=0
+else
+	HAVE_ALSA=1
+fi	
+
+AC_SUBST(HAVE_OSS)
+AC_SUBST(OSS_LIBS)
+AC_SUBST(OSS_CFLAGS)
+if test "x$with_oss" != "xno"; then
+	AC_MSG_CHECKING([liboss])
+	OSS_LIBS=`pkg-config --libs liboss 2> /dev/null`
+	OSS_CFLAGS=`pkg-config --cflags liboss 2> /dev/null`
+	if test "$?" = 0; then
+		AC_MSG_RESULT("$OSS_CFLAGS $OSS_LIBS")
+		HAVE_OSS=1
+	else
+		AC_MSG_RESULT([pkg-config failed]);
+dnl Fall back to non-pkg-config method
+		AC_CHECK_HEADER(sys/soundcard.h,
+			HAVE_OSS=1
+			AC_DEFINE(HAVE_SYS_SOUNDCARD_H),
+			if test "x$with_oss" = "xyes"; then AC_MSG_ERROR([kernel OSS header file was not found], 1); else with_oss="no"; HAVE_OSS=0;fi)
+	fi
+fi
+
+AC_SUBST(HAVE_LZH)
+AC_MSG_CHECKING([Include LZH support])
+if test "x$with_lzh" != "xno"; then
+	AC_MSG_RESULT([yes])
+	AC_DEFINE(HAVE_LZH, 1)
+	HAVE_LZH=1
+else
+	AC_MSG_RESULT([no])
+fi
+
+if test "x$with_alsa" = "xno"; then
+	echo "ALSA:              OFF"
+else
+	echo "ALSA:              ON"
+fi
+if test "x$with_oss" = "xno"; then
+	echo "OSS:               OFF"
+else
+	echo "OSS:               ON"
+fi
+if test "x$with_lzh" = "xno"; then
+	echo "include LZH:       OFF"
+else
+	echo "include LZH:       ON"
+fi
+
+if test "x$with_oss" = "xno"; then
+	if test "x$with_alsa" = "xno"; then
+		AC_ERROR([Neither ALSA nor OSS support found])
+	fi
+fi
+if test "x$with_oss" != "xno"; then
+	if test "x$with_alsa" != "xno"; then
+		AC_WARN([Both ALSA and OSS support found, disabling OSS])
+		with_oss=no
+		HAVE_OSS=0
+	fi
+fi
+
+if test "x$with_oss" != "xno"; then
+	AC_DEFINE(HAVE_OSS, 1)
+fi
+if test "x$with_alsa" != "xno"; then
+	AC_DEFINE(HAVE_ALSA, 1)
+fi
+
+
+AC_CONFIG_FILES(Rules.make)
+AC_OUTPUT
+
